=== debian/control ===
Source: ros-galactic-ublox-dgnss-node
Section: misc
Priority: optional
Maintainer: nick <nick@aussierobots.com.au>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-copyright, ros-galactic-ament-cmake-cppcheck, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-ublox-ubx-interfaces, ros-galactic-ublox-ubx-msgs, ros-galactic-ros-workspace
Homepage: https://github.com/aussierobots/ublox_dgnss
Standards-Version: 3.9.2

Package: ros-galactic-ublox-dgnss-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-std-msgs, ros-galactic-ublox-ubx-interfaces, ros-galactic-ublox-ubx-msgs, ros-galactic-ros-workspace
Description: Provides a ublox_gnss node for a u-blox GPS GNSS receiver using Gen 9 UBX Protocol
